import React from 'react'
import PropTypes from 'prop-types'
import Fonts from './Fonts'
import GlobalStyles from './GlobalStyles'
import theme from './theme'
import Pane from './Pane'

const App = ({ children, reset, fonts, globalStyles, ...props }) => {
  return (
    <Pane className='UIApp' minHeight='100%' width='100%' display='flex' flexAuto flexDirection='column' {...props}>
      {fonts}
      {globalStyles}
      {children}
    </Pane>
  )
}

App.propTypes = {
  children: PropTypes.any,
  reset: PropTypes.element,
  fonts: PropTypes.element,
  globalStyles: PropTypes.element
}

App.defaultProps = {
  fonts: <Fonts />,
  globalStyles: <GlobalStyles theme={theme} />
}

export default App
