import React from 'react'
import PropTypes from 'prop-types'
import Icon from './Icon'

const IconAim = {
  top: '0deg',
  up: '0deg',
  right: '90deg',
  bottom: '180deg',
  down: '180deg',
  left: '270deg'
}

const DirectionalIcon = ({ aim, transform = '', ...props }) => {
  return (
    <Icon transform={`${transform} rotate(${IconAim[aim]})`} {...props} />
  )
}

DirectionalIcon.propTypes = {
  ...Icon.propTypes,
  aim: PropTypes.oneOf(Object.keys(IconAim))
}

DirectionalIcon.defaultProps = {
  ...Icon.defaultProps,
  aim: 'right'
}

export default DirectionalIcon
