import { Component } from 'react'
import { css } from 'glamor'
import theme from './theme'

class GlobalStyles extends Component {
  componentDidMount () {
    css.global('html', {
      width: '100%',
      height: '100%',
      margin: 0,
      background: theme.backgrounds.tint1.backgroundColor
    })

    css.global('body', {
      display: 'flex',
      flexDirection: 'column',
      minWidth: '100%',
      minHeight: '100%',
      margin: 0,
      fontFamily: theme.fonts.sans,
      fontSize: theme.textStyles.body1.fontSize,
      fontWeight: theme.textStyles.body1.fontWeight,
      letterSpacing: theme.textStyles.body1.letterSpacing
    })

    css.global('body > div:first-child', {
      // This is meant as a robust way to make flexed layouts work for React roots
      // This makes the assumption that the div is the #root
      display: 'flex',
      flex: 1,
      width: '100%'
    })
  }

  render () {
    return null
  }
}

export default GlobalStyles
