import React from 'react'
import Icon from './Icon'
import theme from './theme'

const QuestionAlertIcon = ({ fill, ...props }) => {
  return (
    <Icon {...props}>
      <svg style={{ display: 'block' }} width='100%' height='100%' viewBox='0 0 16 16'>
        <path fill={fill} fillRule='evenodd' d='M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 14c-3.3 0-6-2.7-6-6s2.7-6 6-6 6 2.7 6 6-2.7 6-6 6zm0-1a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm-.9-7.5c.2-.3.5-.5.9-.5.6 0 1 .4 1 1 0 .3-.1.4-.6.7C7.8 7.1 7 7.7 7 9v1h2V9c0-.2 0-.3.5-.6.6-.4 1.5-1 1.5-2.4 0-1.7-1.3-3-3-3-1.1 0-2.1.6-2.6 1.5l-.5.9 1.7 1 .5-.9z' />
      </svg>
    </Icon>
  )
}

QuestionAlertIcon.propTypes = {
  ...Icon.propTypes
}

QuestionAlertIcon.defaultProps = {
  ...Icon.defaultProps,
  size: 'small',
  fill: theme.colors.question
}

export default QuestionAlertIcon
