import React from 'react'
import { css } from 'glamor'
import Box from './Box'
import theme from './theme'
const { majorScale } = theme

const rotate360 = css.keyframes('rotate360', {
  'from': {
    transform: `rotate(0deg)`
  },
  'to': {
    transform: `rotate(360deg)`
  }
})

const Spinner = props => <Box {...css({
  '&, &:after': {
    borderRadius: '50%'
  },
  fontSize: `10px`,
  position: `relative`,
  textIndent: `-9999em`,
  borderTop: `2px solid ${theme.colors.primary}`,
  borderRight: `2px solid ${theme.colors.borderColor}`,
  borderBottom: `2px solid ${theme.colors.borderColor}`,
  borderLeft: `2px solid ${theme.colors.borderColor}`,
  transform: `translateZ(0)`,
  animation: `${rotate360} 0.5s infinite linear`
})} {...props} />

Spinner.defaultProps = {
  width: majorScale(4),
  height: majorScale(4)
}

Spinner.displayName = 'Spinner'

export default Spinner
