import React from 'react'
import Icon from './Icon'
import theme from './theme'

const SuccessAlertIcon = ({ fill, ...props }) => {
  return (
    <Icon {...props}>
      <svg style={{ display: 'block' }} width='100%' height='100%' viewBox='0 0 16 16'>
        <path fill={fill} fillRule='evenodd' d='M8 0C3.589 0 0 3.589 0 8s3.589 8 8 8 8-3.589 8-8-3.589-8-8-8zm0 14c-3.309 0-6-2.691-6-6s2.691-6 6-6 6 2.691 6 6-2.691 6-6 6zm-1-2.586L12.414 6 11 4.586l-4 4-2-2L3.586 8 7 11.414z' />
      </svg>
    </Icon>
  )
}

SuccessAlertIcon.propTypes = {
  ...Icon.propTypes
}

SuccessAlertIcon.defaultProps = {
  ...Icon.defaultProps,
  size: 'small',
  fill: theme.colors.success
}

export default SuccessAlertIcon
