import React from 'react'
import { css } from 'glamor'
import Pane from './Pane'
import theme from './theme'
const { minorScale, majorScale, controlStateStyles, textColors, borderRadius } = theme

const styles = css({
  width: '100%',
  padding: `${majorScale(1)} ${minorScale(3)}`,
  borderRadius: borderRadius[0],
  backgroundColor: controlStateStyles.default.backgroundColor,
  color: controlStateStyles.default.color,
  border: controlStateStyles.default.border,
  transition: controlStateStyles.default.transition,
  '&:focus': {
    border: controlStateStyles.focus.border,
    boxShadow: controlStateStyles.focus.boxShadow
  },
  '&::placeholder': {
    color: textColors.muted
  }
})

const Textarea = props => <Pane {...props} {...styles} />

Textarea.defaultProps = {
  is: 'textarea',
  textStyle: 'body1'
}

export default Textarea
