import React from 'react'
import Icon from './Icon'
import theme from './theme'

const WarningAlertIcon = ({ fill, ...props }) => {
  return (
    <Icon {...props}>
      <svg style={{ display: 'block' }} width='100%' height='100%' viewBox='0 0 16 16'>
        <path fill={fill} fillRule='evenodd' d='M15 16H1a1.001 1.001 0 0 1-.895-1.448l7-14c.34-.678 1.449-.678 1.789 0l7 14A1 1 0 0 1 15 16zM7 6h2v4H7V6zm1 7a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm-5.382 1h10.764L8 3.236 2.618 14z' />
      </svg>
    </Icon>
  )
}

WarningAlertIcon.propTypes = {
  ...Icon.propTypes
}

WarningAlertIcon.defaultProps = {
  ...Icon.defaultProps,
  size: 'small',
  fill: theme.colors.warning
}

export default WarningAlertIcon
