import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Alert,
  Pane,
  theme,
  Display5,
  Body1
} from '../components'
import Content from './Content'
const { minorScale, majorScale } = theme

export default function alertStory (module) {
  storiesOf('Alert', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# Alert

The Alert component is used as a feedback message. Implements the \`<Box />\` component.

\`\`\`
<Alert>Hooray! You did it. Your Source is now sending data.</Alert>
<Alert type='success'>Hooray! You did it. Your Source is now sending data.</Alert>
<Alert type='warning'>Changes will affect all Warehouses.</Alert>
<Alert type='danger'>We weren’t able to save your changes.</Alert>
<Alert type='question'>There are over 180 integrations available.</Alert>

<Alert marginBottom={majorScale(2)} type='success'>
  <Display5>Hooray! You did it. Your Source is now sending data.</Display5>
  <Body1>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</Body1>
</Alert>
\`\`\`

`}
          </Content>
          <Alert marginBottom={majorScale(2)}>Hooray! You did it. Your Source is now sending data.</Alert>
          <Alert marginBottom={majorScale(2)} type='success'>Hooray! You did it. Your Source is now sending data.</Alert>
          <Alert marginBottom={majorScale(2)} type='warning'>Changes will affect all Warehouses.</Alert>
          <Alert marginBottom={majorScale(2)} type='danger'>We weren’t able to save your changes.</Alert>
          <Alert marginBottom={majorScale(2)} type='question'>There are over 180 integrations available.</Alert>

          <Alert marginBottom={majorScale(2)} type='success'>
            <Display5>Hooray! You did it. Your Source is now sending data.</Display5>
            <Body1>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</Body1>
          </Alert>
          <Content markdown>
            {`
prop | type | default | description
-----|------| --------|-------------
\`type\` | naked, success, warning, danger, question | naked | the style of Alert
\`showIcon\` | bool | true | show the icon
\`showTrim\` | bool | true | show the trim color on the left
`}
          </Content>
        </Pane>
      </App>
    ))
    .add('standalone', () => (
      <Alert />
    ))
    .add('with margins', () => (
      <Pane white>
        <Alert margin={minorScale(3)} />
      </Pane>
    ))
    .add('with width', () => (
      <Pane white>
        <Alert width='240px' margin={minorScale(3)} />
      </Pane>
    ))
}
