import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Pane,
  Button,
  Portal,
  theme
} from '../components'
import Content from './Content'
const { majorScale } = theme

export default function portalStory (module) {
  storiesOf('Portal', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# Portal (use with care)

**Available since v2.4.0**

The Portal component transports its children outside of the current DOM tree,
and appends it to body. It is used by the \`Popover\` component internally.

*Uses ReactDom.unstable_renderSubtreeIntoContainer*

\`\`\`
<Portal>
  <Button primary>Hello world</Button>
</Portal>
\`\`\`

`}
          </Content>
          <Portal>
            <Button primary>Hello world</Button>
          </Portal>
          <Content markdown>
            {`
prop | version | type | default | description
-----|---------|------| --------|-------------
\`children\` | v2.4.0 | node | \`undefined\` | appends component to the body outside of the current DOM tree
`}
          </Content>
        </Pane>
      </App>
    ))
}
