import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  SearchInput,
  Pane,
  theme
} from '../components'
import Content from './Content'
const { minorScale, majorScale } = theme

export default function inputStory (module) {
  storiesOf('Search Input', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# SearchInput

The SearchInput component is an \`input\` element. Implement the \`<Box />\` component.

\`\`\`
<SearchInput />
<SearchInput size='small' />
\`\`\`

`}
          </Content>
          <SearchInput marginY={majorScale(2)} />
          <SearchInput size='small' marginY={majorScale(2)} />
        </Pane>
      </App>
    ))
    .add('standalone', () => (
      <SearchInput />
    ))
    .add('with spacing', () => (
      <Pane white>
        <SearchInput margin={minorScale(3)} />
      </Pane>
    ))
    .add('with width and centered', () => (
      <Pane white>
        <SearchInput width='240px' marginX='auto' marginY={minorScale(3)} />
      </Pane>
    ))
}
