import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Input,
  Pane,
  ValidationMessage,
  theme
} from '../components'
import Content from './Content'
const { majorScale } = theme

export default function validationMessageStory (module) {
  storiesOf('Validation Message', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# Validation Message

The ValidationMessage component is used under a  \`Input\` component. Implement the \`<Box />\` component.

\`\`\`
<Input warning />
<ValidationMessage>Please fill in a valid email</ValidationMessage>
\`\`\`

`}
          </Content>
          <Input warning />
          <ValidationMessage>Please fill in a valid email</ValidationMessage>
        </Pane>
      </App>
    ))
    .add('standalone', () => (
      <ValidationMessage>Please fill in a valid email</ValidationMessage>
    ))
}
